LLM
Total endpoints: 3
Example base URL: https://<ROBOT_IP>/rest
Required access varies by endpoint (see each section).
Get Llm Config
- Endpoint:
/api/v2/llm_config/ - Function: Get llm config.
- Method:
GET - Access:
ADMIN - Parameters: none
- Shell Command:
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/llm_config/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Update Llm Config
- Endpoint:
/api/v2/llm_config/ - Function: Update llm config.
- Method:
PATCH - Access:
ADMIN - Parameters:
data(body,dict)- Shell Command:
curl -X PATCH "https://<ROBOT_IP>/rest/api/v2/llm_config/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"key": "value"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/llm_config/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'key': 'value'}
response = requests.patch(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Get Llm Providers
- Endpoint:
/api/v2/llm_providers/ - Function: Get llm providers.
- Method:
GET - Access:
USER - Parameters: none
- Shell Command:
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/llm_providers/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):